GCLOUD_COMPONENTS_LIST(1)

NAME

gcloud components list - list the status of all Cloud SDK components

SYNOPSIS

gcloud components list [--show-versions] [GLOBAL-FLAG ...]

DESCRIPTION
This command lists all the available components in the Cloud SDK. For each component, the command lists the following information:

    •   Status on your local workstation: not installed, installed (and up to date), and update available (installed, but not up to date)

    •   Name of the component (a description)

    •   ID of the component (used to refer to the component in other [gcloud components] commands)

    •   Size of the component
In addition, if the --show-versions flag is specified, the command lists the currently installed version (if any) and the latest available version of each individual component.

FLAGS
--show-versions
    Show installed and available versions of all components.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.

EXAMPLES
$ gcloud components list $ gcloud components list --show-versions